﻿# The script of the game goes in this file.

# Declare characters used by this game. The color argument colorizes the
# name of the character.

define narrator = Character(what_italic=True)
define m = Character("Granny Mae")
define a = Character("Arthur")
define b = Character("Bean")
define c = Character("Charles")
pass
#Variables
default BeanRep = 0
default ArthurRep = 0
default ArthurHint = 0
default HasBeanPhotograph = False
default HasArthurPhotograph = False
default HasShell = False
default HasStory = False

# The game starts here.

label start:
#Introduction
    scene bg outside
    # These display lines of dialogue.
    narrator "You have travelled to the small seaside town of Portobello, in order to visit your Granny Mae. The town has recently been hit by a terrible storm; the townsfolk may need your help getting back on their feet!"
    narrator "You find yourself outside of the town's small cafe, along the waterfront."
    menu:
        "Look around":
            jump look_around
        "Go inside":
            jump go_inside
    label look_around:
        scene bg dock
        narrator "You are standing outside the cafe, which sits on a small road running the length of the town's dock."
        narrator "Facing the sea, to your left there are a number of houses, above which looms a lighthouse. Closer by, there is a boat seemingly wrecked on the docks. Probably tossed there by the storm."
        narrator "To your right is the path back to Granny's house."
        menu:
            "Go inside the cafe":
                jump go_inside
    label go_inside:
        scene bg cafe
        narrator "The inside of the small cafe is cosy and comfortable. The counter is manned by a burly, bearded man with a welcoming smile."
        narrator "You quickly spot your Granny Mae sitting at a table and go to join her."
    menu:
        "Talk to Granny Mae":
            jump Granny_Mae
    label Granny_Mae:
        show granny happy at right
        m "Oh pumpkin, it's so good to see you again! It's been so long since you've been here, you've grown so much!"
        narrator "Your Granny Mae is a tiny, stooped old woman. Her grey hair is wrapped up in a green headband, and she wears a comfortable red cardigan buttoned to her chin."
        narrator "Her hands, currently holding yours, are wrinkled and thin, but surprisingly strong."
        menu:
            "How have you been?":
                jump Granny_wellbeing
            "What happened to the town?":
                jump Town_welbeing
    label Granny_wellbeing:
        show granny neutral at right
        m "I’ve been as well as can be expected. We had such a terrible storm this week, trees are down, the hill behind town had tumbled down, my garden is in such a state! But we are holding together."
        jump Who_help
    label Town_welbeing:
        show granny neutral at right
        m "Oh pumpkin, we had such a terrible storm this week, trees are down, the hill behind town had tumbled down, my garden is in such a state! But we are holding together."
        jump Who_help
    label Who_help:
        show granny think at right
        m "Would you do me a favour? Two of my friends, Arthur and Bean, have both been terribly upset about something or other. Could you check in with them, and see if either needs any help?"
        menu:
            "Help Bean":
                jump Help_Bean
            "Help Arthur":
                jump Help_Arthur
            "No.":
                jump no1
    label no1:
        show granny neutral at right
        m "Now you were raised better than that! Please, they're old friends of mine, and aren't as capable as they once were."
        menu:
            "Help Bean":
                jump Help_Bean
            "Help Arthur":
                jump Help_Arthur
            "Nope.":
                jump no2
    label no2:
        show granny sad at right
        narrator "She shifts, a little uncomfortably."
        m "Now pumpkin, please do this for me. You're staying in my home, after all. Checking on Bean and Arthur won't take you long."
        menu:
            "Help Bean":
                jump Help_Bean
            "Help Arthur":
                jump Help_Arthur
            "Mmmm, no.":
                jump no3
    label no3:
        show granny neutral at right
        m "Well fine. But if you change your mind, they'll be here."
        menu:
            "Help Bean":
                jump Help_Bean
            "Help Arthur":
                jump Help_Arthur
            "No.":
                jump no1
#Bean Story
    #Toast Search
        label Help_Bean:
            narrator "Granny points you towards a corner, where a small, portly man is sitting."
            hide granny
            show bean sad at right
            narrator "His hair is wild, and he is wearing a coat seemingly made entirely of patches and sailcloth."
            menu:
                "Talk to Bean":
                    jump Bean1
        label Bean1:
            show bean neutral at right
            narrator "You speak to Bean and ask him if he needs any help. He seems surprised at your offer."
            b "Why yes, I suppose I could use some help. Follow me."
            scene bg dock
            narrator "He leads you out of the cafe and down along the docks, around the high hill on which stands the lighthouse."
            narrator "On the other side of the hill is a large beach, kept for the community's use."
            scene bg cave
            narrator "Set into the base of the hill, looking out at the beach, is a small cave."
            narrator "The entrance of this cave is covered by a wooden framework, draped with sailcloth. This is Bean's home."
            show bean sad at right
            b "My good friend, Toast the crab, has gone missing after the big storm. You can help me find him."
            menu:
                "Search for Toast":
                    jump Toast_Search
        label Toast_Search:
            hide bean
            narrator "You and Bean search the beach, combing through tidal pools, looking under rocks, turning over driftwood, and poking through piles of rubbish and litter (this particularly seems to upset Bean, who grumbles whenever litter is encountered)."
            menu:
                "Look under rubbish":
                    jump rubbish
                "Look under rocks":
                    jump rocks
                "Look under driftwood":
                    jump driftwood
        label rubbish:
            narrator "Digging through piles of rubbish, you find nothing except more rubbish."
            narrator "The carelessness of some people."
            menu:
                "Look under rocks":
                    jump rocks
                "Look under driftwood":
                    jump driftwood
        label rocks:
            narrator "Lifting up a large stone sitting next to a tide pool, you find nothing except wet sand and abandoned shells."
            menu:
                "Look under rubbish":
                    jump rubbish
                "Look under driftwood":
                    jump driftwood
        label driftwood:
            narrator "After a considerable amount of time, you find a small crab hiding inside a hollow log."
            narrator "You call Bean over, who excitedly rushes over. He holds out his hand, and the crab crawls up his arm to rest on Bean's shoulder."
            show bean happy at right
            b "Thank you."
            hide bean
            narrator "Bean gives you a short, reluctant smile before scuttling away to his cave."
            $ BeanRep += 1
            menu:
                "Return to the cafe":
                    jump cafe
    #Cookies for Bean
        label Bean2:
            scene bg cafe
            narrator "Bean is sitting and chatting with your Granny Mae, while Toast the Crab picks at a small chunk of bread."
            narrator "Bean falls quiet when you approach, but after a nudge from Granny Mae he coughs."
            show bean neutral at right
            b "Yes, well... thank you for your help."
            menu:
                "Return to the cafe":
                    jump cafe
                "Speak with Granny":
                    jump Granny_Talk
        label Granny_Talk:
            scene bg cafe
            narrator "You sit down with Granny and Bean. After a moment, Bean mutters an apology and excuses himself from the table."
            narrator "Bean is an enigma. Maybe if you got to know him better, you'd have a chance to learn something interesting?"
            menu:
                "Return to the cafe":
                    jump cafe
                "Ask Granny about Bean":
                    jump Granny_Ask
        label Granny_Ask:
            show granny neutral at right
            m "Oh, you want to know more about Bean? Well... His story isn't mine to tell. But..."
            narrator "She leans in, conspiratorially."
            m "I can tell you he has a terrible sweet tooth. And that, secretly, he is very lonely."
            show granny happy at right
            m "You could buy something from the cafe, but I think a handmade treat would mean more."
            show granny think at right
            m "I have plenty of ingredients and recipes back at my house."
            m "If you really want to get on Bean's good side, why don't we bake him some cookies?"
            show granny happy at right
            m "I remember he especially enjoys my chocolate chip cookies!"
            menu:
                "Go to Granny's house":
                    jump Granny_House
                "Why not just buy something?":
                    jump Muffin
            label Muffin:
                show granny sad at right
                m "Charles makes wonderful tea, but his baking... wait a moment."
                narrator "She goes to the counter and orders something from Charles. He seems suprised, but looks over at you and nods in understanding."
                narrator "A moment later, Granny Mae returns with a plate. She passes the plate to you, and on it you see a perfectly normal muffin."
                menu:
                    "Eat the muffin":
                        jump Muffin_Eat
                    "Politely decline":
                        jump Muffin_Decline
            label Muffin_Eat:
                narrator "You take a bite out of the perfectly normal muffin."
                narrator "And you immediately come to regret this. The muffin is dry, and oddly bitter. It leaves an unpleasant aftertaste in your mouth, which you wash away with some tea."
                show granny sad at right
                m "Let's go bake, shall we?"
                menu:
                    "Go to Granny's house":
                        jump Granny_House
            label Muffin_Decline:
                show granny happy at right
                m "Wise choice."
                scene bg outside
                narrator "Granny takes the muffin with you as you go outside, and offers it to a seagull."
                narrator "The seagull also politely declines."
                menu:
                    "Go to Granny's house":
                        jump Granny_House
            label Granny_House:
                scene bg outside
                narrator "Leaving the cafe, you and Granny Mae head towards her house."
                scene bg dock
                narrator "You turn right along the docks and walk to the outskirts of the town."
                narrator "Granny's house comes into sight, a small cottage accompanied by herb and vegetable gardens."
                narrator "Entering through the low door, you are faced with a warm, cosy sitting room."
                scene bg kitchen
                menu:
                    "Bake bean some cookies":
                        jump baking
            label baking:
                narrator "Granny Mae pulls a hefty recipe book from her shelf."
                narrator "The old book is heavily annotated and dogeared, with notes sticking out from all sides."
                narrator "The recipe itself is fairly simple and doesn't take you long to make. You haven't baked with your Granny in years, and she clearly appreciates you being in the kitchen with her again."
                narrator "She whistles and hums to herself while you mix the batter, spoon it onto baking sheets, and carefully transfer the baked cookies to cooling racks."
                narrator "While the cookies cool, you share a cup of tea with Granny."
                menu:
                    "Take the cookies to Bean":
                        jump Bean_Cookies
                    "Eat one of the less presentable cookies":
                        jump Eat_Cookie
            label Eat_Cookie:
                narrator "Some of the cookies are crumblier or fell apart when you were taking them off the baking sheets."
                narrator "You take a nibble, to check their quality of course."
                narrator "The cookie is delicious."
                menu:
                    "Take the cookies to Bean":
                        jump Bean_Cookies
            label Bean_Cookies:
                narrator "You and Granny place the cookies into a tin."
                show granny happy at right
                m "There! I'm sure he'll enjoy these, he always did like my baking. It was nice to cook with you again. We haven't baked together since you were just a child!"
                scene bg dock
                narrator "The two of you decide to deliver the cookies to Bean at his cave."
                scene bg cave
                narrator "You walk down the path to town, past the cafe, around the hill with the lighthouse, and arrive on the community beach."
                narrator "Set into the base of the hill is Bean's cave, and you can see the light from a fire glimmering on the sand."
                narrator "There is a wooden framework set up around the entrance, draped in sailcloth."
                menu:
                    "Knock":
                        jump Knock
            label Knock:
                narrator "You knock on a wooden post, and a grumpy voice calls from inside."
                b "Who is it? I'm trying to have my dinner..."
                narrator "Bean comes into view, proceeded by his shadow and his grumbling."
                show bean sad at right
                b "Ah, it's you, and... oh, Mae."
                show bean neutral at right
                narrator "He seems to soften slightly when he sees your Granny."
                b "Alright, what is this about?"
                menu:
                    "Give him the cookies":
                        jump Bean_Cookies2
            label Bean_Cookies2:
                show bean think at right
                narrator "You hold out the tin of cookies to Bean, whose eyebrows raise in surprise."
                b "For me? Well... thank you, I suppose."
                narrator "He takes the offered tin and opens the lid."
                show bean happy at right
                b "Oh my... I haven't had these in years..."
                show bean think at right
                narrator "He takes a cookie from the tin, sniffs it, then takes a small bite. He seems to forget you are here for a moment, before coming back to himself."
                show bean neutral at right
                b "These are... very good. I appreciate it."
                narrator "Without another word, he scuttles back into his cave."
                hide bean
                show granny happy at right
                narrator "Granny chuckles softly as you go to return to town."
                m "Bean never was very good at expressing himself, but trust me, he was very pleased."
                $ BeanRep += 1
                menu:
                    "Return to the cafe":
                        jump cafe
    #Bean Algae                        
        label Bean3:
            scene bg cafe
            narrator "Charles, the owner of the cafe, stops by your table to refill your and Granny Mae's tea."
            c "Glad I caught you, Bean left this for you! Wouldn't say what for."
            narrator "He hands you a small note and continues on to the next table."
            menu:
                "Read the note":
                    jump note
        label note:
            narrator "Unfolding the small piece of paper, you see a message written in cramped, neat handwriting."
            "There is a matter of importance I would like to discuss with you, tonight. Meet me outside my cave, just before sundown.
            - Bean"
            menu:
                "Ask Granny about the note":
                    jump Granny_note
                "Wait till Dusk":
                    jump beach
        label Granny_note:
            narrator "You pass the note to Granny Mae, who peers through her glasses at the small text."
            show granny think at right
            m "Hmm... Well, I'm sure it must be important! Bean doesn't tend to confide in just anyone, I would say this is a good sign."
            show granny happy at right
            m "I'd go if I were you, Heaven knows he could use a friend."
            m "Dusk is a bit aways now, we just have time to finish our tea."
            menu:
                "Wait till Dusk":
                    jump beach
        label beach:
            narrator "Just as the sun touches the sea, you leave the cafe."
            scene bg dock
            narrator "You turn left outside the door, and head south down the dock. Following the path around the hill on top of which stands the lighthouse, you arrive at Bean's secluded beach."
            scene bg cave
            narrator "He appears to be waiting for you. Two logs are set up on the sand outside his cave, and Bean is sitting on one, fiddling with his walking stick."
            narrator "Toast the crab perches on the log by Bean's leg and perks up as you approach."
            menu:
                "Join Bean":
                    jump Bean_Join
        label Bean_Join:
            narrator "You approach Bean."
            show bean neutral at right
            b "Ah, you came! I am glad you did. I think you will enjoy this, it is a wonderful sight. Here, pull up a log."
            menu:
                "What do you mean?":
                    jump Bean_Ask
                "Sit down next to Bean":
                    jump Bean_Wait
        label Bean_Ask:
            show bean neutral at right
            b "Shhhh, just wait and see. Trust me, it will be worth it."
            hide bean
            narrator "He refuses to explain further."
            menu:
                "Sit down next to Bean":
                    jump Bean_Wait
        label Bean_Wait:
            hide bean
            narrator "You sit on the second log and face the sea along with Bean."
            narrator "The two of you watch as the sun sets, passing behind the rim of the horizon and setting the waves on fire."
            narrator "Just as the last light leaves the sky, the sea begins to brighten."
            scene bg algae
            narrator "At first it seems some trick of the light, a reflection or refraction, but the light is different. The light is a cold blue, and seemingly made of millions of tiny stars, moving and dancing in the waves."
            show bean neutral at right
            b "Isn't it beautiful? Bioluminescent plankton. They aren't common this far north, but occasionally, if the season is particularly warm, like this one..."
            menu:
                "Watch the show":
                    jump Bean_Show
        label Bean_Show:
            hide bean
            narrator "You and Bean sit in silence for a bit, watching the glowing plankton dance within and beneath the waves."
            narrator "Finally, he breaks the silence."
            show bean neutral at right
            b "I... Realise I am a tad standoffish. I admit that is partially by design, I prefer to be left alone."
            b "But... It is nice to remember what it is like to have companionship. Of course I have Toast, but..."
            narrator "He pauses for a moment to feed Toast a piece of dried seaweed."
            b "I do sometimes miss being a part of it all, of being involved in..."
            narrator "He waves his hand vaguely at town."
            menu:
                "What did you do, before you were a hermit?":
                    jump Bean_Hermit
                "Wait for him to continue":
                    jump Bean_Story
        label Bean_Story:
            narrator "He watches the sea for a moment."
            b "I used to be a lawyer, you know. A very good one, or very bad one depending on how you view things."
            show bean sad at right
            b "I worked for a large company, I worked there for many years. I helped them to do things, to get away with things..."
            hide bean
            narrator "He rummages behind him for a moment, before pulling out a small photograph."
            narrator "He hesitates, then hands it to you."
            menu:
                "Look at the photograph":
                    jump Bean_Photo
        label Bean_Hermit:
            narrator "He watches the sea for a moment."
            b "I haven't been a hermit very long, you know. And before, I was a lawyer."
            b "A very good one, or very bad one depending on how you view things."
            show bean sad at right
            b "I worked for a large company, I worked there for many years. I helped them to do things, to get away with things..."
            hide bean
            narrator "He rummages behind him for a moment, before pulling out a small photograph."
            narrator "He hesitates, then hands it to you."
            menu:
                "Look at the photograph":
                    jump Bean_Photo
        label Bean_Photo:
            narrator "The photograph shows four people, roughly your age."
            narrator "On the far left is a short, portly young man. Next to him stands another man, of average height and build."
            narrator "Next is a young woman, who you recognise as your Granny Mae. On the far right is a tall, sturdy man in a familiar brown cap."
            show bean neutral at right
            narrator "Bean points a finger at the short man."
            b "That's me, just before I left for university. That next to me is Bert, your grandfather."
            b "That of course is your Granny Mae, and next to her is Arthur."
            narrator "There is a slight bitterness to his voice when he mentions Arthur."
            b "We were good friends, as children. When we grew older, things changed."
            show bean sad at right
            b "Such is life, I suppose. But it is still a sour pill to swallow."
            show bean neutral at right
            narrator "He leans back on his log with a sigh."
            menu:
                "What happened?":
                    jump BeanPhoto1
                "You were friends?":
                    jump BeanPhoto2
        label BeanPhoto1:
            show bean neutral at right
            narrator "He shrugs."
            b "We grew up. Arthur sailed away, Mae and Bert settled down, and I..."
            show bean sad at right
            b "I moved to the Big City to study law."
            narrator "He takes the photograph back for a moment, and stares at it with wistfulness."
            b "We were very close, we four."
            narrator "He hands the photograph back to you."
            menu:
                "Is that all?":
                    jump BeanStory2
        label BeanPhoto2:
            show bean sad at right
            narrator "He sighs."
            b "We were very close, we four."
            narrator "He takes the photograph back for a moment, and stares at it with wistfulness."
            narrator "He hands the photograph back to you."
            menu:
                "Is that all?":
                    jump BeanStory2
        label BeanStory2:
            show bean think at right
            b "Well, Mae and Arthur... but that's not my story to tell."
            b "Arthur and I were never quite as close as the rest. I suppose he was always somewhat jealous of me."
            show bean neutral at right
            narrator "He waves a hand at his cave."
            b "I suppose it is hard to see now, but my family was very wealthy. We have ties to the founder of the town, in fact!"
            b "Arthur's family was, to put it bluntly, not very well off. He had many siblings and had to begin work at a young age. I was my parent's only child."
            show bean happy at right
            narrator "He looks sad for a moment, before for the first time smiling at you with genuine happiness."
            b "Thank you, for coming here, for listening to an old man."
            narrator "He seems more at ease here, under the stars. It's hard to imagine him in a suit, working in an office in the Big City."
            $ BeanRep += 1
            $ HasBeanPhotograph = True
            menu:
                "Sit with bean for a while":
                    jump BeanSit
                "Return to town":
                    jump Beanleave
        label BeanSit:
            narrator "You, Bean, and Toast sit in companionable silence for a time."
            hide bean
            narrator "Eventually, soft rumbling snores emanate from Bean, and you decide it's time to head home."
            narrator "Leaving Bean under the warm stars, you return home to your own bed."
            menu:
                "The next morning, return to the cafe":
                    jump cafe
        label Beanleave:
            narrator "Brushing sand from your trousers, you stand."
            b "Ah, time to head home, is it? Thank you again, this was... surprisingly pleasent."
            hide bean
            narrator "Leaving Bean under the warm stars, you return home to your own bed."
            menu:
                "The next morning, return to the cafe":
                    jump cafe
    #Bean End
        label BeanEnd:
            scene bg cafe
            show bean happy at right
            if HasShell == False:
                narrator "You sit with Bean and have a cup of tea. He passes you a beautiful seashell, with a secret smile."
                $ HasShell = True
            elif HasShell == True:
                narrator "You sit with Bean and have a cup of tea, the seashell he gave you resting comfortably in your pocket."
            menu:
                "Return to the cafe":
                    jump cafe
#Arthur Story
    #Arthur Assess Boat
        label Help_Arthur:
            scene bg cafe
            show arthur neutral at right
            narrator "Granny directs you towards a tall, sturdy man. His silver hair is short, and hidden under an old brown cap."
            narrator "His face is worn by years of salt and sun. He wears a warm jacket with many pockets."
            menu:
                "Offer your help":
                    jump ArthurBoat
        label ArthurBoat:
            show arthur sad at right
            narrator "Arthur smiles sadly when you ask him if he needs any help. Arthur he finishes his hot chocolate, he leads you outside."
            scene bg dock
            show arthur sad at right
            a "That there is my boat, {i}The Albatross{/i}... Or at least what's left of her."
            narrator "He points at the wreck of a boat, cast upon the docks."
            scene bg boat
            show arthur neutral at right
            a "That recent storm really did a number on her. I have to take stock of the damage, you can help with that."
            menu:
                "Assess the damage to Arthur's boat":
                    jump ArthurAssess
        label ArthurAssess:
            hide arthur
            narrator "You and Arthur approach the wrecked fishing trawler."
            narrator "From first glance, she looks to be in rough shape. The two of you climb onto the pitched deck, but quickly have to disembark as the structure groans and complains under your weight."
            narrator "It's impossible to see the damage under the hull, seeing as it is partially submerged."
            show arthur sad at right
            a "Suppose we'll have to beach her somewhere. Where do you think?"
            menu:
                "Up onto the docks?":
                    jump SuggestDocks
                "What about the beach?":
                    jump SuggestBeach
        label SuggestDocks:
            show arthur think at right
            a "That would be the easiest place, but I doubt there's room."
            show arthur neutral at right
            a "Dock isn't wide or sturdy enough to support a boat of her size."
            menu:
                "What about the beach?":
                    jump SuggestBeach
        label SuggestBeach:
            show arthur think at right
            a "Hmm... that might work. It'll be difficult, sure, and Bean won't be happy to have {i}The Albatross{/i} on his doorstep."
            show arthur happy at right
            a "But I think you’re on the right track, let's find some hands to help."
            scene bg outside
            narrator "You and arthur return to the cafe to recruit help moving the boat."
            $ ArthurRep += 1
            menu:
                "Recruit help":
                    jump cafe
    #Arthur Beached Boat
        label Arthur1:
            scene bg cafe
            narrator "You and Arthur ask for help from Charles, the burly owner of the cafe, in moving {i}The Albatross{/i}."
            narrator "Bean, overhearing your conversation, angrily approaches Arthur."
            show bean sad at right
            b "You want to move your wreck of a boat onto {i}my{/i} beach? You must've left your brain at sea."
            menu:
                "The beach belongs to the community, and it will only be temporary." if BeanRep == 1:
                    jump CalmBean
                "It isn't your beach, don't be selfish." if BeanRep == 0:
                    jump UncalmBean
        label CalmBean:
            narrator "You interject, saying that technically the beach belongs to the community, and that its only temporary."
            show bean think at right
            narrator "Bean grumbles but acquiesces."
            hide bean
            menu:
                "Go to move Arthur's boat":
                    jump ArthurMove
        label UncalmBean:
            narrator "Bean harrumphs at you and storms off to a corner table. Maybe if you did a favour for him first, he would be more amicable."
            hide bean
            menu:
                "Return to cafe":
                    jump cafe
        label ArthurMove:
            scene bg outside
            narrator "You, Arthur, Charles, and a few others that you were able to round up head out to the docks."
            scene bg dock
            narrator "Using a series of pulleys along the docks, a considerable amount of rope, and a lot of effort, you manage to shift the boat over onto the sand of the community beach."
            scene bg cave
            narrator "Out of the water at last, it's clear to see {i}The Albatross{/i} is in rough shape."
            narrator "Bean silently observes the operation. Once the task is complete, he vanishes into his cave."
            show arthur happy at right
            narrator "Arthur, meanwhile, thanks you heartily for your help."
            a "There's no way I could've done that without help, thank you kindly."
            a "With her beached, I can really get in there to see about repairs."
            a "You're welcome to come with, if you're still wanting to help."
            menu:
                "Assess the beached boat":
                    jump BeachedBoat
                    #Want to add another path here, back to the cafe. Will have to adjust ArthurRep variable checks.
        label BeachedBoat:
            scene bg boat
            narrator "You and Arthur carefully climb your way onto the slanted deck of {i}The Albatross{/i}."
            narrator "The fishing trawler is in a poor state, clearly having taken heavy damage from the storm."
            narrator "As you climb into the cabin, you hear Arthur mumbling to himself."
            menu:
                "Listen to Arthur's mumbling":
                    jump Mumble
                "Look around the cabin":
                    jump cabin
        label Mumble:
            narrator "Arthur, still out on the deck, is muttering to himself."
            a "Swear I tied her down... How could she have gotten loose? Rotten luck, always rotten luck... Thought it was only further from home, must've followed me back..."
            $ ArthurHint += 1
            menu:
                "Look around the cabin":
                    jump cabin
        label cabin:
            narrator "The cabin is a fairly standard affair. There is a table against the far wall, tossed there by the storm."
            narrator "Papers, maps, books, and pictures are strewn about the room. A small hammock has been torn from its hangings, and huddles limply in a corner of the room."
            narrator "You poke through the various papers on the floor."
            narrator "Most of them appear to be nautical charts: maps of ocean currents and hazards, the locations where different types of fish can be found throughout the year, tidal charts, and the like."
            narrator "However, among the maps and diagrams, you find a weathered photograph in a cracked frame."
            narrator "You see four teenagers, three boys and a girl. One of the men is tall, tanned, and wears a familiar brown cap."
            narrator "One man is short and slightly portly, and the other is of average height and build."
            narrator "You are able to recognise the woman as your Granny Mae, although in the photograph she is younger than you are now. It must've been taken long before you, or even your parents, were born."
            narrator "While you were examining the picture, Arthur enters the cabin behind you. He sees the picture you are holding."
            show arthur neutral at right
            a "Ah... aye, that's from a long time ago now. Keep it, your Granny might be able to tell you some about it. Come on, let's see how the hull held up."
            show arthur sad at right
            narrator "He seems sad as he returns to the deck."
            hide arthur
            $ HasArthurPhotograph = True
            menu:
                "Listen to Arthur's mumbling" if ArthurHint == 0:
                    jump Mumble
                "Head down to the hold":
                    jump hold
        label hold:
            narrator "You and Arthur proceed down into the boat's storage hold, where the damage to the hull is clear to see."
            show arthur sad at right
            narrator "Arthur lets out a small, distressed gasp."
            a "Ah... I'm not sure if I can bring her back from this..."
            narrator "The port side of the hull had been nearly completely caved in."
            narrator "The great beam that runs the length of the floor, from stern to aft, is clearly cracked in multiple places."
            narrator "The floor, walls, and ceiling groan with every movement you or Arthur make."
            a "We'd best be out of here, 'fore we do any more damage."
            menu:
                "Return to the deck":
                    jump deck
        label deck:
            scene bg cave
            narrator "You and Arthur return to the deck."
            show arthur neutral at right
            a "'Twas good of you to help me. I'll take it from here, see if there's aught I can do to get her sea-worthy again."
            narrator "You leave him, pacing the deck of his beached boat."
            $ ArthurRep += 1
            hide arthur
            narrator "On your way back to town, you pass by Bean's cave to see him watching from the entrance."
            show bean neutral at right
            b "I hope it wasn't too badly damaged. The sooner that eyesore is off my beach, the better."
            menu:
                "Return to the cafe":
                    jump cafe
    #Arthur Plan
        label ArthurPhoto:
            narrator "Taking the photograph you found in the cabin of {i}The Albatross{/i}, you show it to Granny Mae."
            show granny think at right
            narrator "She adjusts her spectacles and peers at the picture."
            show granny happy at right
            m "Where did you say you found this, pumpkin? Yes, that's me there."
            m "On my right there is your grandfather, Bert. Oh, we look so young!"
            m "Here, this is Arthur. You could always recognise him by that dirty old hat, he's had it for so long!"
            m "And then... yes, that next to Arthur is Bean."
            show granny think at right
            m "The four of us... were close. But it's a long story, and not just mine to tell."
            $ ArthurHint += 1
            hide granny
            narrator "As Granny is telling you about her old friends, Arthur comes in and sits at the counter."
            narrator "You can hear him talking to Charles."
            show arthur neutral at left
            a "Aye, don't think there's any salvaging her. With the amount I'd spend getting her seaworthy again, I could buy two new boats."
            a "Not rightly sure what to do with her just now."
            menu:
                "Talk to Arthur":
                    jump ArthurTalk
        label ArthurTalk:
            narrator "Approaching Arthur at the cafe, he continues."
            show arthur happy at right
            a "Ah, here's my assistant! You may've heard, but I think {i}The Albatross{/i} is done for."
            narrator "His smile seems forced."
            show arthur neutral at right
            a "I'm... not too sure what to do with her, for now. She'll have to stay on the beach for a time, until-"
            narrator "Arthur is cutt off by a gruff cough from behind you."
            menu:
                "Ignore it":
                    jump ignore1
                "Turn around":
                    jump BeanAngry
        label ignore1:
            hide arthur
            narrator "You ignore the cough from behind you."
            narrator "There is another, louder cough."
            menu:
                "Ignore it again":
                    jump ignore2
                "Turn around":
                    jump BeanAngry
        label ignore2:
            narrator "The cough turns into indignant grumbling."
            b "Excuse me!"
            menu:
                "Turn around":
                    jump BeanAngry
        label BeanAngry:
            show bean sad at right
            narrator "Bean has come up to you and Arthur and is staring at Arthur belligerently. With Arthur sitting at the cafe's bar, they are almost eye to eye."
            b "What do you mean, leave it there? The agreement was that you could park your boat, or what's left of it, on my beach to look it over for damage. Not that you could just dump it there!"
            menu:
                "It won't be long, just until Arthur can find a safe way to dispose of it." if BeanRep >= 2:
                    jump ConvinceBean
                "The beach isn't yours, Bean. Learn to share." if BeanRep < 2:
                    jump UnconvinceBean
        label UnconvinceBean:
            show bean sad at right
            narrator "Bean harrumphs loudly."
            b "The beach may technically belong to the community, but I live there!"
            b "I will {b}not{/b} stand for that heap of rubbish polluting the environment, and cluttering up my front lawn!"
            hide bean
            narrator "Bean scuttles away angrily, and Arthur shakes his head sadly."
            show arthur sad at right
            a "Well, that could've gone worse. Maybe talk to your Granny Mae, she might have ideas?"
            menu:
                "Return to the cafe":
                    jump cafe
        label ConvinceBean:
            show bean think at right
            b "I suppose, it has to be disposed of carefully. I'd hate for it to end up polluting the tide-pools or something of that sort."
            show bean neutral at right
            b "Fine, he can keep it there for now. But I'm not happy about it!"
            hide bean
            narrator "Bean shuffles away, and Arthur thanks you for your help."
            show arthur happy at right
            a "He's always been a grumpy old fart. Well, thanks for ye help. I'll think about what to do with {i}The Albatross{/i}} soon, I just... need some time."
            show arthur sad at right
            a "It's just like when I lost {i}The Zephyr{/i}..."
            menu:
                "The {i}Zephyr?{/i}":
                    jump Zephyr
        label Zephyr:
            show arthur think at right
            a "Oh, aye. {i}The Zephyr{/i} was my old boat, before {i}The Albatross{/i}."
            show arthur sad at right
            a "I lost her, a while back. I... she wrecked, by the Old Lighthouse, out North of town. She's probably still there, or at least what's left of her."
            menu:
                "How did the crash happen?":
                    jump crash
        label crash:
            show arthur think at right
            narrator "He pauses a moment before answering."
            a "Ah, I suppose I can tell you. I was coming back from a long trip, longer than I'd usually like. I guess I must've dozed off at the wheel and was tossed up on the rocks."
            show arthur neutral at right
            a "This a long time ago now, back when I must've been about your age. But I've never been back over by the Old Lighthouse, I'd bet you some of {i}The Zephyr{/i} is still out there."
            narrator "He falls silent, lost in thought."
            a "As soon as I got another boat, {i}The Albatross{/i}, I went back to sea. Didn't spend much time on land after that, matter of fact."
            a "Maybe weren't the best idea, but what's done is done."
            narrator "He fishes in his pocket for a moment, before pulling out a photograph. It shows a rocky shore, and an old lighthouse overseeing the wreck of a fishing boat. He hands you the photograph."
            hide arthur
            menu:
                "Ask Granny about Arthur's crash":
                    jump Granny_crash
        label Granny_crash:
            narrator "Arthur falls silent then, so you return to Granny at her table."
            narrator "You pass the photograph of the wreck of {i}The Zephyr{/i} to her. She adjusts her glasses and peers at the photograph."
            show granny think at right
            m "Ah, Arthur's first boat... So, he told you about his accident, did he?"
            m "Yes, that was when we were about your age, I'd expect. I always thought that accident changed him, somehow."
            show granny neutral at right
            menu:
                "Changed him?":
                    jump changed
        label changed:
            show granny sad at right
            m "Yes, I suspect he couldn't forgive himself for it. Or he felt he had something to prove, I'm not sure."
            show granny neutral at right
            m "He doesn't like to talk about it. After the crash, he spent all his time at sea. That's why we stopped seeing each other, you know."
            menu:
                "What??":
                    jump what
                "Does that mean... is he my...?":
                    jump notGrandad
        label what:
            narrator "She chuckles."
            show granny happy at right
            m "Oh yes, didn't you know? Arthur and I were sweethearts, before I fell in love with your Grandpa Bert."
            show granny sad at right
            m "After he lost {i}The Zephyr{/i}, we decided to part ways..."
            m "Well, less we decided and more he chose the sea. But that's old history."
            narrator "She shakes her head and smiles again."
            show granny happy at right
            m "Ah, but if he told you about his first boat, maybe there's hope for him!"
            menu:
                "You think I can help him?":
                    jump plan
                "Do you think we should visit the wreck?":
                    jump plan
        label notGrandad:
            narrator "She chuckles."
            show granny happy at right
            m "Oh no pumpkin, this was long before I hand any children. Arthur and I were sweethearts, before I fell in love with your Grandpa Bert."
            show granny sad at right
            m "After he lost {i}The Zephyr{/i}, we decided to part ways..."
            m "Well, less we decided and more he chose the sea. But that's old history."
            narrator "She shakes her head and smiles again."
            show granny happy at right
            m "Ah, but if he told you about his first boat, maybe there's hope for him!"
            menu:
                "You think I can help him?":
                    jump plan
                "Do you think we should visit the wreck?":
                    jump plan
        label plan:
            show granny think at right
            narrator "She nods."
            show granny neutral at right
            m "Yes, I do think that visiting {i}The Zephyr{/i} might help him."
            m "At the very least, you two can make sure it's not still cluttering up the beach. Why don't you go ask him?"
            menu:
                "Ask Arthur about visiting the wreck":
                    jump wreck
        label wreck:
            scene bg cafe
            narrator "Arthur is still sitting at the cafe's counter, nursing a hot chocolate. You approach him and relay your idea."
            show arthur think at right
            a "You want me to go back? To {i}The Zephyr{/i}?"
            show arthur sad at right
            a "I don't know what you're expecting to find there... It's just ship's bones and rotten wood by now."
            show arthur neutral at right
            a "But... if you think it's a good idea, we'll head out in the morning."
            $ ArthurRep += 1
            menu:
                "Return to the cafe":
                    jump cafe
    #Arthur End
        label Arthur3:
            scene bg cafe
            show arthur happy at right
            if HasStory == False:
                narrator "You sit with Arthur and discuss plans on how to reach the wreck of {i}The Zephyr{/i}."
                narrator "He seems nervous, and excited. Perhaps it does him good simply to have a plan of action."
                hide arthur
                $ HasStory = True
            elif HasStory == True:
                narrator "You sit with Arthur and talk. He has a story to tell or wise old saying to pass on, about everything from shoes to ships, to sealing wax, to cabbages and kings."
                hide arthur
            menu:
                "Return to the cafe":
                    jump cafe
#Cafe/Hub
    label cafe:
        scene bg cafe
        narrator "Back in the cafe, you sit and have a cup of tea with your Granny Mae."
        menu:
            "Help Bean" if BeanRep == 0:
                jump Help_Bean
            "Return to Bean" if BeanRep == 1:
                jump Bean2
            "A note?" if BeanRep == 2 and HasBeanPhotograph == False:
                jump Bean3
            "Sit with Bean" if BeanRep == 3 and HasBeanPhotograph == True:
                jump BeanEnd
            "Help Arthur" if ArthurRep == 0:
                jump Help_Arthur
            "Recruit help to move Arthur's boat" if ArthurRep == 1:
                jump Arthur1
            "Show Arthur's photograph to Granny" if HasArthurPhotograph == True and ArthurHint == 1:
                jump ArthurPhoto
            "Talk to Arthur" if HasArthurPhotograph == True and ArthurHint == 2 and ArthurRep == 2:
                jump ArthurTalk
            "Return to Arthur" if ArthurRep == 2 and HasArthurPhotograph == False:
                jump Arthur2
            "Sit with Arthur" if ArthurRep == 3 and HasArthurPhotograph == True:
                jump Arthur3
            "Day of Rest" if BeanRep == 3 and ArthurRep == 3:
                jump Rest_Day
label Rest_Day:
    scene bg outside
    narrator "Thank you for playing! This concludes the demo."
    menu:
        "Return to the cafe":
            jump cafe
        "End Demo":
            return
        
    # This ends the game.

    return
